Bug 829789 - bpm5processor quickstart faling on instance abort attempt.
bpm5processor quickstart faling on instance abort attempt.
Status: VERIFIED
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.3.0 GA
Unspecified Unspecified
high Severity high
: ER4
: 5.3.0 GA
Assigned To: tcunning
Marek Baluch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-07 10:51 EDT by Marek Baluch
Modified: 2015-03-12 07:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
server.log (221.21 KB, text/x-log)
2012-06-07 10:51 EDT, Marek Baluch
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBESB-3817 Major Closed Change bpm5processor Quickstart to show off ESBWorkItemHandler 2012-10-17 08:39:10 EDT

  None (edit)
Description Marek Baluch 2012-06-07 10:51:23 EDT
Created attachment 590219 [details]
server.log

Description of problem:

when the sample attampts to terminate/abort the process instance it started in an action before it fails with:

ERROR [TaskServerHandler] User '[User:'Administrator']' does not have permissions to execution operation 'Skip' on task id 1
org.jbpm.task.service.PermissionDeniedException: User '[User:'Administrator']' does not have permissions to execution operation 'Skip' on task id 1.

See server.log for more detail.
Comment 1 tcunning 2012-06-11 00:36:56 EDT
The error seems related to the permissions - I've dumbed down the quick start example so that it now doesn't need them.    Added the use of the ESBWorkItemHandler which now shows a round trip from ESB -> jbpm5 -> ESB.
Comment 2 Marek Baluch 2012-06-21 11:28:30 EDT
Verified on 5.3 ER4.
Comment 3 Suz 2012-06-28 19:27:47 EDT
Technical note field set to negative as this issue was fixed befrore users saw it.

Note You need to log in before you can comment on or make changes to this bug.